View Issue Details

IDProjectCategoryView StatusLast Update
0004246unrealircdpublic2014-06-04 10:09
ReportercardsAssigned Totmcarthur 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.4-alpha1 
Summary0004246: bind-ip
DescriptionI would like to request that the bind-ip be taken out of the link block and put on a global scale. I really don't think it's necessary that bind-ip has to be put into every single link block to connect out. It seems that if there is just one bind-ip directive in the configuration, all outbound connections would use it.

Thanks,
Cards
TagsNo tags attached.
3rd party modules

Activities

syzop

2013-11-30 00:18

administrator   ~0017853

Sounds like a good idea.

Well not to remove it, but to add some setting in the set block (like you said) and make that the default link::bind-ip that can be overridden if needed.

Jobe1986

2013-12-07 18:23

reporter   ~0017855

Yeah I'd agree that it should remain in the link block, but only as a means to override a globally set separate default. After all a lot of UnrealIRCd's settings are designed with flexibility in mind.

tmcarthur

2014-05-30 18:03

developer   ~0018147

Will have a look at getting this into 3.4. Thanks.

tmcarthur

2014-06-04 08:35

developer   ~0018177

Patch complete, committing shortly.

tmcarthur

2014-06-04 10:09

developer   ~0018179

Resolved in unreal34 branch - thanks!

Issue History

Date Modified Username Field Change
2013-11-30 00:06 cards New Issue
2013-11-30 00:18 syzop Note Added: 0017853
2013-11-30 00:18 syzop Status new => acknowledged
2013-12-07 18:23 Jobe1986 Note Added: 0017855
2014-03-14 01:14 peterkingalexander Issue cloned: 0004275
2014-05-30 18:03 tmcarthur Note Added: 0018147
2014-05-30 18:03 tmcarthur Assigned To => tmcarthur
2014-05-30 18:03 tmcarthur Status acknowledged => assigned
2014-06-04 08:35 tmcarthur Note Added: 0018177
2014-06-04 10:09 tmcarthur Note Added: 0018179
2014-06-04 10:09 tmcarthur Status assigned => resolved
2014-06-04 10:09 tmcarthur Fixed in Version => 3.4-alpha1
2014-06-04 10:09 tmcarthur Resolution open => fixed